<< idct1 | FOSSEE_Signal_Processing_Toolbox | idst1 >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > idct2

# idct2

Compute the inverse 2-D discrete cosine transform.

### Syntax

    Y = idct2(X)
    Y = idct2(X, M, N)
    Y = idct2(X, [M, N])

### Parameters

X:

  Input matrix or integer.

M, N:

  (optional) If specified, the input matrix X is padded or truncated to have M rows and N columns.

### Description

Computes the inverse 2-D discrete cosine transform of the input matrix X. If M and N are specified, the input is either padded or truncated to match the specified dimensions.

### Examples

    idct2(3, 4, 6)

Report an issue
<< idct1 | FOSSEE_Signal_Processing_Toolbox | idst1 >>